/*******************************************************************************

Copyright (C) 2003 Andrea Biardi - LOGICOMM

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

*******************************************************************************/

#include <libinterbasexx/sqlvar.h>

namespace IB {

std::string SqlVar::typeDesc(int type) {

  switch (type) {

    case Numeric:
      return "number";

    case Time:
      return "timestamp";

    case String:
      return "string";

    case Array:
      return "array";

    case Blob:
      return "blob";

    default:
      return "unknown type";

  }

}

} // namespace IB
