/*******************************************************************************

Copyright (C) 2003 Andrea Biardi - LOGICOMM

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

*******************************************************************************/

#ifndef __IBXX_XSQLDA_H__
#define __IBXX_XSQLDA_H__

/*******************************************************************************

Utility functions for XSQLDA (extended SQL descriptor area) handling.

One may object that these functions could go to a XSQLDA class, but I found it
easier to do without.

*******************************************************************************/

#include <libinterbasexx/config.h>
#include <libinterbasexx/cxxbits/cbuffer.h>
#include <ibase.h>

namespace IB {

IBXX_EXPORT void prepareXSQLVarsBuffer(XSQLDA* xsqlda, CBuffer& vars, bool allowResize = true);

} // namespace IB

#endif // __IBXX_XSQLDA_H__
