/*******************************************************************************

Copyright (C) 2003 Andrea Biardi - LOGICOMM

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

*******************************************************************************/

#ifndef __IBXX_ERROR_H__
#define __IBXX_ERROR_H__

/*******************************************************************************

Error handling code.

*******************************************************************************/

#include <libinterbasexx/config.h>
#include <libinterbasexx/cxxbits/exception.h>
#include <string>
#include <ibase.h>

namespace IB {

class IBXX_EXPORT EInterbase: public Exception {
  public:
    EInterbase(const std::string& msg): Exception(msg) {}
    EInterbase(ISC_STATUS status[]);
};

} // namespace IB

#endif // __IBXX_ERROR_H__
