/*******************************************************************************

Copyright (C) 2003 Andrea Biardi - LOGICOMM

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

*******************************************************************************/

#ifndef __IBXX_NUMERIC_H__
#define __IBXX_NUMERIC_H__

/*******************************************************************************

Numeric class.

This class was initially meant to provide something like a BCD number, but it
is not implemented yet, and thus mapped to a double; see comments inside
SqlOutVar::n() when implementing this class.

*******************************************************************************/

#include <libinterbasexx/config.h>

namespace IB {

typedef double Numeric;

} // namespace IB

#endif // __IBXX_NUMERIC_H__
